freemarker.ext.beans

## Class DateModel

- java.lang.Object
- - freemarker.ext.beans.BeanModel
  - - freemarker.ext.beans.DateModel

All Implemented Interfaces:
  WrapperTemplateModel, AdapterTemplateModel, TemplateDateModel, TemplateHashModel, TemplateHashModelEx, TemplateModel, TemplateModelWithAPISupport

    public class DateModel
    extends BeanModel
    implements TemplateDateModel

Wraps arbitrary subclass of `Date` into a reflective model. Beside acting as a `TemplateDateModel`, you can call all Java methods on these objects as well.

### Field Summary

### Fields inherited from class freemarker.ext.beans.BeanModel

`object, wrapper`

### Fields inherited from interface freemarker.template.TemplateDateModel

`DATE, DATETIME, TIME, TYPE_NAMES, UNKNOWN`

### Fields inherited from interface freemarker.template.TemplateModel

`NOTHING`

### Constructor Summary

Constructors
Constructor and Description
`DateModel(Date date, BeansWrapper wrapper)` Creates a new model that wraps the specified date object.

### Method Summary

All Methods Instance Methods Concrete Methods
`Date` `getAsDate()` Returns the date value.
`int` `getDateType()` Returns the type of the date.

### Methods inherited from class freemarker.ext.beans.BeanModel

`get, getAdaptedObject, getAPI, getWrappedObject, hasPlainGetMethod, invokeGenericGet, isEmpty, keys, keySet, size, toString, unwrap, values, wrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DateModel

    public DateModel(Date date,
                     BeansWrapper wrapper)

Creates a new model that wraps the specified date object.

Parameters:
  `date` - the date object to wrap into a model.
  `wrapper` - the `BeansWrapper` associated with this model. Every model has to have an associated `BeansWrapper` instance. The model gains many attributes from its wrapper, including the caching behavior, method exposure level, method-over-item shadowing policy etc.

### Method Detail

#### getAsDate

    public Date getAsDate()

Description copied from interface: `TemplateDateModel`
Returns the date value. The return value must not be `null`.

Specified by:
  `getAsDate` in interface `TemplateDateModel`

#### getDateType

    public int getDateType()

Description copied from interface: `TemplateDateModel`
Returns the type of the date. It can be any of `TemplateDateModel.TIME`, `TemplateDateModel.DATE`, or `TemplateDateModel.DATETIME`.

Specified by:
  `getDateType` in interface `TemplateDateModel`